> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Qwen2.5-VL-72B-Instruct

> Generate a model response from the given conversation history (which may include text and images).



## OpenAPI

````yaml en/api-reference/model-api/alibaba/openapi/qwen2.5-vl-72b-instruct/openapi.yaml POST /v1/chat/completions
openapi: 3.1.0
info:
  title: Qwen2.5-VL-72B-Instruct
  description: Call Alibaba Qwen2.5-VL-72B-Instruct vision-language model
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /v1/chat/completions:
    post:
      summary: Create a chat completion
      description: >-
        Generate a model response from the given conversation history (which may
        include text and images).
      operationId: createChatCompletionQwen25VL72bInstruct
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - messages
              properties:
                model:
                  type: string
                  enum:
                    - qwen2.5-vl-72b-instruct
                  description: model ID
                  example: qwen2.5-vl-72b-instruct
                messages:
                  type: array
                  minItems: 1
                  description: >-
                    List of conversation messages. Text and image content are
                    supported.
                  items:
                    type: object
                    required:
                      - role
                      - content
                    properties:
                      role:
                        type: string
                        enum:
                          - system
                          - user
                          - assistant
                      content:
                        oneOf:
                          - type: string
                          - type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - text
                                    - image_url
                                text:
                                  type: string
                                image_url:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      description: Image URL or Base64 data URI.
                  example:
                    - role: user
                      content:
                        - type: image_url
                          image_url:
                            url: https://example.com/image.jpg
                        - type: text
                          text: Please describe this image.
                max_tokens:
                  type: integer
                  minimum: 1
                  maximum: 8192
                  default: 8192
                  description: Maximum number of tokens to generate.
                temperature:
                  type: number
                  minimum: 0
                  maximum: 2
                  default: 1
                  description: >-
                    Sampling temperature. Higher values make the output more
                    random.
                stream:
                  type: boolean
                  default: false
                  description: When true, incremental content is streamed back via SSE.
      responses:
        '200':
          description: Response generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatCompletion'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ChatCompletion:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: chat.completion
        created:
          type: integer
          description: Unix timestamp
        model:
          type: string
        choices:
          type: array
          items:
            type: object
            properties:
              index:
                type: integer
              message:
                type: object
                properties:
                  role:
                    type: string
                  content:
                    type: string
              finish_reason:
                type: string
        usage:
          type: object
          properties:
            prompt_tokens:
              type: integer
            completion_tokens:
              type: integer
            total_tokens:
              type: integer
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````